Name:           lxdecc
Version:        0.2.4.1
Release:        %mkrel 2
License:        GNU General Public License (GPL)
Url:            http://www.pclinuxos.com/
Source:         %{name}-%{version}.tar.xz
Summary:        Control Center for your LXDE Desktop
Summary(de):    Kontrollzentrum für die LXDE Desktop Umgebung
Group:          System/Configuration/Other
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	gtkdialog
Requires:	perl-Gtk2-Ex-FormFactory
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Requires:	xscreensaver, lxautostart,
Requires:	lxrandr, pcmanfm
Provides:       LXDE Control Center
Obsoletes:	   %name < %version

%description
This is the Control Center for PCLXDE. Customize your LXDE installation. 

#german
%description -l de
Dies ist die Steuerzentrale für PCLXDE. 
Passen Sie hier Ihre LXDE Installation an.

#french
%description -l fr
C'est le centre de contrôle de PCLXDE. LXDE personnaliser votre installation.

#spanish
%description -l es
Este es el centro de control para PCLXDE. Personalizar la instalación LXDE.

#polish
%description -l pl
To jest centrum sterowania dla PCLXDE. Dostosowywanie instalacji LXDE.

#serbian
%description -l sr
То је контролни центар за ПЦЛКСДЕ. Прилагодите своје ЛКСДЕ инсталације.

#dutch
%description -l nl
Dit is het Control Center voor PCLXDE. Pas uw LXDE installatie.


%prep

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Configure Your LXDesktop
Name[de]=LXDesktop konfigurieren
Name[fr]=Configurer Votre Bureau LXDE
Name[lg]=Teekateeka awakolerwa wo awa LXDE
Exec=/usr/bin/lxdecc
Comment=Customize your LXDE
Comment[de]=Passen Sie ihre LXDE Arbeitsfläche an
Comment[fr]=Personnalisez LXDE
Comment[lg]=Enfaanana n'enkola ya LXDE bitegeke nga bwe w'etaaga
Icon=cc_icon.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;GTK;X-MandrivaLinux-System-Configuration;
OnlyShowIn=LXDE;
EOF

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps

install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 *.png $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 cc_icon.png $RPM_BUILD_ROOT/%_datadir/pixmaps/cc_icon.png
install -m 644 cc_icon.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/cc_icon.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,fr,lg}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-fr_FR.po
msgfmt -o  %{buildroot}%{_datadir}/locale/lg/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-lg_LG.po


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%_datadir/pixmaps/cc_icon.png
%{_datadir}/icons/hicolor/32x32/apps/cc_icon.png
%doc readme
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Apr 23 2019 tex - 0.2.4.1-2pclos2019
- rebuild against updates

* Sat Nov 04 2017 daniel <meisssw01 at gmail.com> 0.2.4.1-1pclos2017
- add defaultGRUBeditor, when it is installed

* Sun May 29 2016 daniel <meisssw01 at gmail.com> 0.2.4.0-1pclos2016
- fix pccissues
- changed status of lxcursor
 
* Sat Feb 20 2016 daniel <meisssw01 at gmail.com> 0.2.3.9-1pclos2016
- added xfce4-power-manager-settings

* Sat Mar 15 2014 daniel <meisssw01 at gmail.com> 0.2 3.8-1free2014
- add lxmed support, but only display, when installed

* Sun Jan 26 2014 daniel <meisssw01 at gmail.com> 0.2.3.7-1free2014
- fix GTK and Icon Theme button, 
  now without restarting lxpanel
  (isn't really required)

* Sat Jan 11 2014 daniel <meisssw01 at gmail.com> 0.2.3.6-1free2014
- add xfwm4 support, when user use xfce window manager

* Fri Nov 23 2012 Neal <nealbrks0 at gmail dot com> .0.2.3.5-1pclos2012
- process

* Thu Nov 22 2012 daniel <meisssw01 at gmail.com> .0.2.3.5-1leiche2012
- add some more applications, 
  will only display, if they installed.
  
* Mon Nov 19 2012 leiche <meisssw01 at gmail.com> 0.2.3.4-1pclos2012
- add check of running lxdecc
- move gtkdialogs as required

* Mon Dec 19 2011 leiche <meisssw01 at gmail.com> 0.2.3.3-5leiche2011
- add needed requires for perfect working
  
* Thu Dec 08 2011 leiche <meisssw01 at gmail.com> 0.2.3.3-4leiche2011
- fix icon issues on window

* Thu Sep 22 2011 leiche <meisssw01 at gmail.com> 0.2.3.3-3leiche2011
- add Luganda

* Sat Sep 03 2011 leiche <meisssw01 at gmail.com> 0.2.3.3-2leiche2011
- add french language

* Mon Aug 22 2011 Neal <nealbrks0 at gmail.com> 0.2.3.3-1pclos2011
- add libfm "Preferred Applications" to the control center

* Fri Aug 12 2011 leiche <meisssw01 at aol.com> 0.2.3.2-1leiche2011
- add gdmphotosetup in a new tab could personal, Idea by tedlane

* Fri Jun 17 2011 Neal <nealbrks0 at gmail.com> 0.2.3.1-3pclos2010
- new icon for lxdecc 

* Sun Oct 17 2010 Neal <nealbrks0 at gmail.com> 0.2.3.1-2pclos2010
- fix Set Wallpaper command

* Sat Oct 02 2010 leiche <meisssw01 at aol.com> 0.2.3-1pclos2010
- add german language 
- add LX-Autostart
- convert source to tar.xz

* Tue Oct 06 2009 Neal <nealbrks0@gmail.com> 0.2.2-7pclos2010
- fix problem reported on forum

* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 0.2.2-6pclos2010
- gcc update

* Wed Aug 12 2009 Texstar <texstar@gmail.com> 0.2.2-5pclos2009
- fix icon

* Fri Aug 07 2009 Neal <nealbrks0@gmail.com> 0.2.2-4pclos2009
- added entry for lxcursor

* Sat Jul 25 2009 Neal <nealbrks0@gmail.com> 0.2.2-3pclos2009
- removed entry for root terminal

* Sat Jul 25 2009 Neal <nealbrks0@gmail.com> 0.2.2-3pclos2009
- added lxdecc icon
- added entry for root terminal

* Sun Jul 19 2009 Neal <nealbrks0@gmail.com> 0.2.1-2pclos2009
- lauch code for PCC changed as it had ceased to work
- rersized icons 9.png, 10.png and 11.png

* Fri Jul 17 2009 Neal <nealbrks0@gmail.com> 0.2.1-1pclos2009
- synaptic lauch code needed fixing, so I did

* Fri Jul 17 2009 Neal <nealbrks0@gmail.com> 0.2-1pclos2009
- GDMsetup launch from user command corrected
- entry added for File Manager Superuser Mode

* Thu Jul 16 2009 Neal <nealbrks0@gmail.com> 0.1-1pclos2009
- added as dependency perl-Gtk2-Ex-FormFactory

* Mon Jul 13 2009 Neal <nealbrks0@gmail.com> 0.1-1pclos2009
- initial build 
